Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOutputWindow Class Reference

`#include <vtkOutputWindow.h>`

Inheritance diagram for vtkOutputWindow:

[legend]
Collaboration diagram for vtkOutputWindow:

[legend]
List of all members.

## Detailed Description

base class for writing debug output to a console

Date:
  2002/07/02 14:58:17

Revision:
  1.21

This class is used to encapsulate all text output, so that it will work with operating systems that have a stdout and stderr, and ones that do not. (i.e windows does not). Sub-classes can be provided which can redirect the output to a window.

Created by:
  - Hoffman, Bill

CVS contributions (if > 5%):
  - Hoffman, Bill (42%)
  - Biddiscombe, John (23%)
  - Lorensen, Bill (15%)
  - King, Brad (7%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkOutputWindow.h)`
  - .`cxx` (`/Common/vtkOutputWindow.cxx)`

Tests:
  vtkOutputWindow (Tests)

Definition at line 61 of file vtkOutputWindow.h.

## [NOHEADER]
virtual void | DisplayText (const char *)
virtual void | DisplayErrorText (const char *)
virtual void | DisplayWarningText (const char *)
virtual void | DisplayGenericWarningText (const char *)
vtkOutputWindow * | New ()
vtkOutputWindow * | GetInstance ()
void | SetInstance (vtkOutputWindow *instance)
## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | DisplayDebugText (const char *)
virtual void | PromptUserOn ()
virtual void | PromptUserOff ()
virtual void | SetPromptUser (int)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkOutputWindow * | SafeDownCast (vtkObject *o)
## Static Public Attributes
vtkOutputWindowCleanup | Cleanup
## Protected Methods
| vtkOutputWindow ()
virtual | ~vtkOutputWindow ()
## Protected Attributes
int | PromptUser

## Member Typedef Documentation

typedef vtkObject vtkOutputWindow::Superclass

| Reimplemented from vtkObject. Reimplemented in vtkFileOutputWindow, vtkWin32OutputWindow, and vtkXMLFileOutputWindow. Definition at line 65 of file vtkOutputWindow.h.

## Constructor & Destructor Documentation

vtkOutputWindow::vtkOutputWindow | ( |  | ) | `[protected]`

virtual vtkOutputWindow::~vtkOutputWindow | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual const char* vtkOutputWindow::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject. Reimplemented in vtkFileOutputWindow, vtkWin32OutputWindow, and vtkXMLFileOutputWindow.

int vtkOutputWindow::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkFileOutputWindow, vtkWin32OutputWindow, and vtkXMLFileOutputWindow.

virtual int vtkOutputWindow::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkFileOutputWindow, vtkWin32OutputWindow, and vtkXMLFileOutputWindow.

vtkOutputWindow* vtkOutputWindow::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject. Reimplemented in vtkFileOutputWindow, vtkWin32OutputWindow, and vtkXMLFileOutputWindow.

virtual void vtkOutputWindow::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Print ObjectFactor to stream. Reimplemented from vtkObject. Reimplemented in vtkFileOutputWindow.

vtkOutputWindow* vtkOutputWindow::New | ( |  | ) | `[static]`

| This is a singleton pattern New. There will only be ONE reference to a vtkOutputWindow object per process. Clients that call this must call Delete on the object so that the reference counting will work. The single instance will be unreferenced when the program exits. Reimplemented from vtkObject. Reimplemented in vtkFileOutputWindow, vtkWin32OutputWindow, and vtkXMLFileOutputWindow.

vtkOutputWindow* vtkOutputWindow::GetInstance | ( |  | ) | `[static]`

void vtkOutputWindow::SetInstance | ( | vtkOutputWindow * | instance | ) | `[static]`

virtual void vtkOutputWindow::DisplayText | ( | const char * |  | ) | `[virtual]`

| Reimplemented in vtkFileOutputWindow, vtkWin32OutputWindow, and vtkXMLFileOutputWindow.

virtual void vtkOutputWindow::DisplayErrorText | ( | const char * |  | ) | `[virtual]`

| Reimplemented in vtkXMLFileOutputWindow.

virtual void vtkOutputWindow::DisplayWarningText | ( | const char * |  | ) | `[virtual]`

| Reimplemented in vtkXMLFileOutputWindow.

virtual void vtkOutputWindow::DisplayGenericWarningText | ( | const char * |  | ) | `[virtual]`

| Reimplemented in vtkXMLFileOutputWindow.

virtual void vtkOutputWindow::DisplayDebugText | ( | const char * |  | ) | `[virtual]`

| Reimplemented in vtkXMLFileOutputWindow.

virtual void vtkOutputWindow::PromptUserOn | ( |  | ) | `[virtual]`

| If PromptUser is set to true then each time a line of text is displayed, the user is asked if they want to keep getting messages.

virtual void vtkOutputWindow::PromptUserOff | ( |  | ) | `[virtual]`

| If PromptUser is set to true then each time a line of text is displayed, the user is asked if they want to keep getting messages.

virtual void vtkOutputWindow::SetPromptUser | ( | int |  | ) | `[virtual]`

| If PromptUser is set to true then each time a line of text is displayed, the user is asked if they want to keep getting messages.

## Member Data Documentation

vtkOutputWindowCleanup vtkOutputWindow::Cleanup`[static]`

| Definition at line 103 of file vtkOutputWindow.h.

int vtkOutputWindow::PromptUser`[protected]`

| Definition at line 108 of file vtkOutputWindow.h.

The documentation for this class was generated from the following file:

- Common/vtkOutputWindow.h